Pataisyti klaidą: Atrodo, kad jūsų PHP diegime trūksta „MySQL“ plėtinio, kurio reikalauja „WordPress“

"Panašu, kad jūsų PHP diegime trūksta „MySQL“ plėtinio, kurio reikalauja „WordPress“"Ar klaida, su kuria susiduria daugelis tinklaraščių ir svetainių savininkų WordPress.
Tai nesukelia rūpesčių. Trūksta „MySQL“ plėtinio iš PHP yra būdinga operacinėms sistemoms, įdiegtoms nuo nulio, VPS ar tam skirtiems serveriams, kur PHP plėtiniai nebuvo diegimo paketo dalis. Ši problema aktuali abiem ubuntu ir Centos. Pagal šį scenarijų problema labai paprastai išspręsta atnaujinus PHP ir įdiegus modulį "php-mysql".
Atnaujinkite PHP ir įdiekite „MySQL“ plėtinį „Ubuntu“

apt-get update
apt-get install php-mysql

Atnaujinkite PHP ir įdiekite „MySQL“ plėtinį „CentOS“

yum update
yum install php70w-mysql

Atlikus šį veiksmą, iš naujo paleiskite „Apache“ paslaugą arba nginx.

Aš taip pat susidūriau su scenarijumi, kai nors „MySQL“ plėtinys yra PHP, „WordPress“ sukurtame tinklaraštyje buvo rodoma klaida „Atrodo, kad jūsų PHP diegime trūksta„ MySQL “plėtinio, kurio reikalauja„ WordPress “. Dažniausiai klaida įvyksta diegiant „WordPress“. Tačiau šį kartą jis pasirodė tinklaraštyje, kuris buvo aktyvus keletą metų.
Šioje situacijoje radau, kad problema yra ne su PHP moduliais, o su labai sena „WordPress“ versija, kuri nebesuderinama su PHP 7.4.4RC1. Paprastas „WordPress“ atnaujinimas į naujausią versiją išsprendė klaidą.

Pataisyti klaidą: Atrodo, kad jūsų PHP diegime trūksta „MySQL“ plėtinio, kurio reikalauja „WordPress“

Apie autorių

slaptumas

Aistringai vertinu viską, kas yra programėlė ir IT, su malonumu rašau apie vagystessettings.com nuo 2006 m. ir man patinka su jumis atrasti naujų dalykų apie kompiuterius ir operacines sistemas „macOS“, „Linux“, Windows, „iOS“ ir „Android“.

Palikite komentarą